Bug 460629 - Review Request: perl-Pod-Simple-Wiki - Utility and perl classes for converting POD to Wiki text
Review Request: perl-Pod-Simple-Wiki - Utility and perl classes for convertin...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 04:34 EDT by Lubomir Rintel
Modified: 2008-08-31 06:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-31 06:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-08-29 04:34:16 EDT
SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-Pod-Simple-Wiki.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/perl-Pod-Simple-Wiki-0.09-2.el5.src.rpm

Description:

The Pod::Simple::Wiki module is used for converting Pod text to Wiki text.
It currently contains the following output filters: Confluence, Kwiki, Mediawiki,
Moinmoin, Template, Tiddlywiki, Twiki and Usemod.
Comment 1 Lubomir Rintel 2008-08-29 04:36:02 EDT
Built in el5 mock; rpmlint silent.
Comment 2 Parag AN(पराग) 2008-08-29 04:46:43 EDT
looks like missing
BuildRequires:  perl(Test::More)
Comment 3 Marek Mahut 2008-08-29 04:58:11 EDT
Lubomir,

Please fix BR and this cosmetic issue:

perl-Pod-Simple-Wiki.src: E: description-line-too-long It currently contains the following output filters: Confluence, Kwiki, Mediawiki,
Comment 4 Lubomir Rintel 2008-08-29 05:29:55 EDT
You both have broken build roots and broken rpmlint! :)

SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-Pod-Simple-Wiki.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/perl-Pod-Simple-Wiki-0.09-3.el5.src.rpm
Comment 5 Parag AN(पराग) 2008-08-29 05:49:54 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=792829
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9029379c5106b4d96a53ea1d83b68485  Pod-Simple-Wiki-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful
Files=25, Tests=184,  3 wallclock secs ( 0.17 usr  0.05 sys +  2.20 cusr  0.22 csys =  2.64 CPU)

+ Package perl-Pod-Simple-Wiki-0.09-3.fc10 =>
Provides: perl(Pod::Simple::Wiki) = 0.09 perl(Pod::Simple::Wiki::Confluence) = 0.09 perl(Pod::Simple::Wiki::Kwiki) = 0.08 perl(Pod::Simple::Wiki::Mediawiki) = 0.08 perl(Pod::Simple::Wiki::Moinmoin) = 0.08 perl(Pod::Simple::Wiki::Template) = 0.08 perl(Pod::Simple::Wiki::Tiddlywiki) = 0.08 perl(Pod::Simple::Wiki::Twiki) = 0.08 perl(Pod::Simple::Wiki::Usemod) = 0.08

Requires: /usr/bin/perl perl(Getopt::Long) perl(Pod::Simple) perl(Pod::Simple::Wiki) perl(Pod::Usage) perl(strict) perl(vars)

Suggestions:-
1) I think you should remove /usr/lib/perl5/vendor_perl/5.10.0/Pod/Simple/Wiki/Confluence.pm.escape from installing in %files

APPROVED.
Comment 6 Lubomir Rintel 2008-08-29 09:01:31 EDT
Thanks for the suggestion; I'll definitely remove that.
Also much thanks for the review!

New Package CVS Request
=======================
Package Name: perl-Pod-Simple-Wiki
Short Description: Utility and perl classes for converting POD to Wiki text
Owners: lkundrak
Branches: F-8 F-9 EL-5
Comment 7 Kevin Fenzi 2008-08-30 17:07:35 EDT
cvs done.
Comment 8 Lubomir Rintel 2008-08-31 06:11:33 EDT
Thanks; Imported and built.

Note You need to log in before you can comment on or make changes to this bug.